View Issue Details

IDProjectCategoryView StatusLast Update
0000025ScribusStory Editor / Text Framespublic2004-08-02 15:01
Reportercbradney Assigned Tofschmid  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.2 
Target VersionFixed in Version 
Summary0000025: Add Find & Replace option to Story Editor / Text Frames
DescriptionNeed ability to search and replace text.
TagsNo tags attached.
Patch

Activities

cbradney

2004-01-08 23:56

administrator   ~0000160

Also requested on mailing list by: louis_desjardins@mardigrafe.com

cbradney

2004-01-20 00:37

administrator   ~0000267

Franz has started this for Text Frames: Edit-> Search replace.

ale

2004-01-21 15:54

manager   ~0000278

i've tried the find & replace dialog and it seems really promising to me!

i don't know what the goals are in implementing the search and replace function so i wonder if my remarks will be usefull...

however, i try to post my first impressions even if they may be obvious:

- search should scan the whole chained text (probably already adressed in
  summary of the bug report).
- one should be able to s&r from the story editor.
- the dialog should retain the last search performed (or even the last n s&r in
  every field).
- it should be possible to edit the text frame while the dialog is open (the
  alternative could be a "search again" item in the menu); it should even be
  possible to change frame while the dialog is open.

that's it! and now i go back to my "serious" "work"

ciaociao

a.l.e

ale

2004-01-22 12:06

manager   ~0000281

- if you do a search and nothing is found the cursor should not move from
  its actual position
- i understand that one has to choose between sub- and superscript... but, now
  you can't deselect the sub/superscript buttons once you have clicked on one of
  both

cbradney

2004-01-22 12:29

administrator   ~0000282

Yes, the super/sub script buttons should turn off. Franz will fix that I'm sure.

cbradney

2004-01-28 00:09

administrator   ~0000359

Left open for the Story Editor search replace functionality.

cbradney

2004-02-13 00:29

administrator   ~0000486

Marking as 1.2 for Search and Replace in Story Editor will now be done for 1.2.

cbradney

2004-08-02 15:01

administrator   ~0002086

Tested. Fixed.

Issue History

Date Modified Username Field Change
2003-11-19 18:07 cbradney New Issue
2004-01-08 23:56 cbradney Note Added: 0000160
2004-01-20 00:37 cbradney Note Added: 0000267
2004-01-20 00:39 cbradney Assigned To => fschmid
2004-01-20 00:39 cbradney Status new => assigned
2004-01-21 15:54 ale Note Added: 0000278
2004-01-22 12:06 ale Note Added: 0000281
2004-01-22 12:29 cbradney Note Added: 0000282
2004-01-28 00:09 cbradney Note Added: 0000359
2004-02-13 00:29 cbradney Note Added: 0000486
2004-02-13 00:29 cbradney Product Version => 1.2
2004-08-02 13:19 fschmid Status assigned => resolved
2004-08-02 13:19 fschmid Resolution open => fixed
2004-08-02 15:01 cbradney Status resolved => closed
2004-08-02 15:01 cbradney Note Added: 0002086
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames